| PUT | /RestApi/translations/translate/mark |
|---|
import java.math.*;
import java.util.*;
import java.io.InputStream;
import net.servicestack.client.*;
public class dtos
{
public static class MarkForTranslation
{
public ArrayList<UUID> Ids = null;
public String ProviderName = null;
public String ItemType = null;
public String SourceLanguage = null;
public ArrayList<String> TargetLanguages = null;
public String ActualSourceLanguage = null;
public Boolean AllowPartialSuccess = null;
public ArrayList<UUID> getIds() { return Ids; }
public MarkForTranslation setIds(ArrayList<UUID> value) { this.Ids = value; return this; }
public String getProviderName() { return ProviderName; }
public MarkForTranslation setProviderName(String value) { this.ProviderName = value; return this; }
public String getItemType() { return ItemType; }
public MarkForTranslation setItemType(String value) { this.ItemType = value; return this; }
public String getSourceLanguage() { return SourceLanguage; }
public MarkForTranslation setSourceLanguage(String value) { this.SourceLanguage = value; return this; }
public ArrayList<String> getTargetLanguages() { return TargetLanguages; }
public MarkForTranslation setTargetLanguages(ArrayList<String> value) { this.TargetLanguages = value; return this; }
public String getActualSourceLanguage() { return ActualSourceLanguage; }
public MarkForTranslation setActualSourceLanguage(String value) { this.ActualSourceLanguage = value; return this; }
public Boolean isAllowPartialSuccess() { return AllowPartialSuccess; }
public MarkForTranslation setAllowPartialSuccess(Boolean value) { this.AllowPartialSuccess = value; return this; }
}
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
PUT /RestApi/translations/translate/mark HTTP/1.1
Host: www.imglobal.com
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length
{"Ids":["00000000-0000-0000-0000-000000000000"],"ProviderName":"String","ItemType":"String","SourceLanguage":"String","TargetLanguages":["String"],"ActualSourceLanguage":"String","AllowPartialSuccess":false}
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length
{Unable to show example output for type 'IList`1' using the custom 'other' filter}Cannot create an instance of an interface.